Bug 1309233 - cd to .snaps fails with "transport endpoint not connected" after force start of the volume.
cd to .snaps fails with "transport endpoint not connected" after force start ...
Product: GlusterFS
Classification: Community
Component: snapshot (Show other bugs)
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Avra Sengupta
: ZStream
Depends On: 1305849 1306193
  Show dependency treegraph
Reported: 2016-02-17 04:59 EST by Avra Sengupta
Modified: 2016-04-19 03:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.7.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1306193
Last Closed: 2016-04-19 03:23:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Vijay Bellur 2016-02-17 05:00:20 EST
REVIEW: http://review.gluster.org/13457 (glusterd/snapshot : Remove stale pmap registry entry) posted (#1) for review on release-3.7 by Avra Sengupta (asengupt@redhat.com)
Comment 2 Vijay Bellur 2016-02-24 08:53:13 EST
COMMIT: http://review.gluster.org/13457 committed in release-3.7 by Rajesh Joseph (rjoseph@redhat.com) 
commit 4777f12ba5a930016faa6ef9114d8ffc8304c77b
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Wed Feb 10 15:02:48 2016 +0530

    glusterd/snapshot : Remove stale pmap registry entry
        Backport of http://review.gluster.org/#/c/13420/
    Perform a pmap_registry_remove on a stale registry
    entry from the previous run of snapd, which makes the
    query callback always return the older port number.
    Change-Id: I7fc504d2b09d32a9c945ec2c33e0e092a0d186ec
    BUG: 1309233
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/13420
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
    (cherry picked from commit bfe689d25ecde567a90135b47f31b89d7714aaf4)
    Reviewed-on: http://review.gluster.org/13457
Comment 3 Kaushal 2016-04-19 03:23:04 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.9, please open a new bug report.

glusterfs-3.7.9 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://www.gluster.org/pipermail/gluster-users/2016-March/025922.html
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.